## qps 1.4.4

=== Makefile ===
# Makefile for qps

#
# First, make sure INCLUDES and LDPATHS lines contain paths to the include
# and library directories for Qt.
#
INCLUDES=-I/usr/include/X11/qt
LDPATHS=-L/usr/X11R6/lib

#
# You may have to add -lX11 to this line, in case your linker complains.
#
LIBS=-lqt -lm

#
# if moc (the Qt meta object compiler) is not in your $PATH, you might need
# to specify its location here.
#
MOC=moc

CXXFLAGS=-g -O2 -pipe -Wall -Wconversion $(INCLUDES)
LDFLAGS=$(LDPATHS) $(LIBS)


####### You should not need to modify anything below this line. #######


SOURCES=qps.C pstable.C proc.C uidstr.C ttystr.C dialogs.C \
	checkmenu.C infobar.C fieldsel.C crossbox.C scheddlg.C \
	wchan.C details.C prefs.C htable.C lookup.C
HEADERS=qps.h pstable.h proc.h uidstr.h ttystr.h dialogs.h \
	checkmenu.h infobar.h fieldsel.h crossbox.h scheddlg.h \
	wchan.h details.h prefs.h htable.h lookup.h
OBJECTS=qps.o pstable.o proc.o uidstr.o ttystr.o dialogs.o \
	checkmenu.o infobar.o fieldsel.o crossbox.o scheddlg.o \
	wchan.o details.o prefs.o htable.o lookup.o
SRCMETA=moc_qps.C moc_pstable.C moc_dialogs.C \
        moc_fieldsel.C moc_scheddlg.C moc_details.C moc_prefs.C moc_infobar.C \
        moc_htable.C moc_lookup.C
OBJMETA=moc_qps.o moc_pstable.o moc_dialogs.o \
        moc_fieldsel.o moc_scheddlg.o moc_details.o moc_prefs.o moc_infobar.o \
        moc_htable.o moc_lookup.o
TARGET=qps

# Build rules

all: $(TARGET)

$(TARGET): $(SRCMETA) $(OBJECTS) $(OBJMETA)
	$(CC) $(OBJECTS) $(OBJMETA) -o $(TARGET) $(LDFLAGS)

clean:
	rm -f *.o *.bak *%
	rm -f $(SRCMETA) $(TARGET)

dist: $(TARGET)
	rm -f *.o *~ #*
	rm -f $(SRCMETA)

# Meta objects

moc_%.C: %.h
	$(MOC) $< -o $@

# deps

checkmenu.o: checkmenu.C checkmenu.h
crossbox.o: crossbox.C crossbox.h
details.o: details.C details.h htable.h svec.h proc.h lookup.h qps.h \
 pstable.h checkmenu.h infobar.h fieldsel.h crossbox.h prefs.h
dialogs.o: dialogs.C dialogs.h warn.xpm
fieldsel.o: fieldsel.C fieldsel.h crossbox.h proc.h svec.h
htable.o: htable.C htable.h svec.h svec.C
infobar.o: infobar.C infobar.h proc.h svec.h qps.h pstable.h htable.h \
 checkmenu.h fieldsel.h crossbox.h details.h lookup.h prefs.h
lookup.o: lookup.C lookup.h svec.h svec.C
moc_details.o: moc_details.C details.h htable.h svec.h proc.h lookup.h
moc_dialogs.o: moc_dialogs.C dialogs.h
moc_fieldsel.o: moc_fieldsel.C fieldsel.h crossbox.h proc.h svec.h
moc_htable.o: moc_htable.C htable.h svec.h
moc_infobar.o: moc_infobar.C infobar.h
moc_lookup.o: moc_lookup.C lookup.h svec.h
moc_prefs.o: moc_prefs.C prefs.h crossbox.h
moc_pstable.o: moc_pstable.C pstable.h htable.h svec.h proc.h
moc_qps.o: moc_qps.C qps.h pstable.h htable.h svec.h proc.h \
 checkmenu.h infobar.h fieldsel.h crossbox.h details.h lookup.h \
 prefs.h
moc_scheddlg.o: moc_scheddlg.C scheddlg.h
prefs.o: prefs.C prefs.h crossbox.h qps.h pstable.h htable.h svec.h \
 proc.h checkmenu.h infobar.h fieldsel.h details.h lookup.h
proc.o: proc.C qps.h pstable.h htable.h svec.h proc.h checkmenu.h \
 infobar.h fieldsel.h crossbox.h details.h lookup.h prefs.h \
 svec.C uidstr.h ttystr.h wchan.h
pstable.o: pstable.C pstable.h htable.h svec.h proc.h
qps.o: qps.C qps.h pstable.h htable.h svec.h proc.h checkmenu.h \
 infobar.h fieldsel.h crossbox.h details.h lookup.h prefs.h \
 dialogs.h scheddlg.h icon.xpm
scheddlg.o: scheddlg.C scheddlg.h dialogs.h
svec.o: svec.C svec.h
ttystr.o: ttystr.C ttystr.h
uidstr.o: uidstr.C uidstr.h
wchan.o: wchan.C wchan.h

## qps 1.9.3-3.1

=== Makefile ===
# Makefile for qps

#
# First, make sure INCLUDES and LDPATHS lines contain paths to the include
# and library directories for Qt.
#
QTDIR=/usr/local/qt
INCLUDES=-I$(QTDIR)/include
LDPATHS=-L$(QTDIR)/lib

#
# Then, uncomment the right LIBS line for your architecture below:
#

# Linux: (You may have to add -lX11, in case your linker complains)
LIBS=-lqt -lm

# Solaris:
#LIBS=-lqt -lm -lkstat -lposix4 -lnsl -lsocket -L/usr/openwin/lib -lX11 -lXext

#
# if moc (the Qt meta object compiler) is not in your $PATH, you might need
# to specify its location here.
#
MOC=$(QTDIR)/bin/moc

#
# Your C++-compiler here.
#
CXX=g++

# You may need -fno-rtti in CXXFLAGS to compile with recent gcc/egcs versions.
CXXFLAGS=-g -O2 -Wall -W -Wconversion -pipe $(INCLUDES)
LDFLAGS=-g $(LDPATHS) $(LIBS)


####### You should not need to modify anything below this line. #######


SOURCES=qps.C pstable.C proc.C uidstr.C ttystr.C dialogs.C \
	checkmenu.C infobar.C fieldsel.C crossbox.C scheddlg.C \
	wchan.C prefs.C htable.C lookup.C details.C command.C
HEADERS=$(SOURCES:.C=.h)
OBJECTS=$(SOURCES:.C=.o)
SRCMETA=moc_qps.C moc_pstable.C moc_dialogs.C \
        moc_fieldsel.C moc_scheddlg.C \
	moc_prefs.C moc_infobar.C \
        moc_htable.C moc_lookup.C moc_details.C moc_command.C
OBJMETA=$(SRCMETA:.C=.o)
TARGET=qps

# Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMETA)
	$(CXX) $(OBJECTS) $(OBJMETA) -o $(TARGET) $(LDFLAGS)

$(OBJECTS): config.h

clean:
	rm -f *.o *.bak *%
	rm -f $(SRCMETA) $(TARGET)

dist: $(TARGET)
	rm -f *.o *~ #*
	rm -f $(SRCMETA)

# Meta objects

moc_%.C: %.h
	$(MOC) $< -o $@

# dependancy generator: gcc required
depend:
	sed '/^# DO NOT DELETE/,$$d' < Makefile > Makefile.new
	echo '# DO NOT DELETE THIS LINE' >> Makefile.new
	gcc $(INCLUDES) -MM $(SOURCES) >> Makefile.new
	mv Makefile.new Makefile

# DO NOT DELETE THIS LINE
qps.o: qps.C qps.h svec.h pstable.h htable.h proc.h config.h \
 checkmenu.h infobar.h fieldsel.h crossbox.h details.h lookup.h \
 prefs.h command.h dialogs.h scheddlg.h icon.xpm svec.C
pstable.o: pstable.C pstable.h htable.h svec.h proc.h config.h
proc.o: proc.C qps.h svec.h pstable.h htable.h proc.h config.h \
 checkmenu.h infobar.h fieldsel.h crossbox.h details.h lookup.h \
 prefs.h command.h svec.C uidstr.h ttystr.h wchan.h
uidstr.o: uidstr.C uidstr.h
ttystr.o: ttystr.C ttystr.h config.h
dialogs.o: dialogs.C dialogs.h warn.xpm
checkmenu.o: checkmenu.C checkmenu.h
infobar.o: infobar.C infobar.h proc.h config.h svec.h qps.h pstable.h \
 htable.h checkmenu.h fieldsel.h crossbox.h details.h lookup.h prefs.h \
 command.h
fieldsel.o: fieldsel.C fieldsel.h crossbox.h proc.h config.h svec.h
crossbox.o: crossbox.C crossbox.h
scheddlg.o: scheddlg.C scheddlg.h dialogs.h
wchan.o: wchan.C config.h wchan.h
prefs.o: prefs.C prefs.h crossbox.h qps.h svec.h pstable.h htable.h \
 proc.h config.h checkmenu.h infobar.h fieldsel.h details.h lookup.h \
 command.h
htable.o: htable.C htable.h svec.h svec.C
lookup.o: lookup.C lookup.h svec.h svec.C
details.o: details.C details.h config.h htable.h svec.h proc.h \
 lookup.h qps.h pstable.h checkmenu.h infobar.h fieldsel.h crossbox.h \
 prefs.h command.h svec.C
command.o: command.C command.h qps.h svec.h pstable.h htable.h proc.h \
 config.h checkmenu.h infobar.h fieldsel.h crossbox.h details.h \
 lookup.h prefs.h uidstr.h svec.C dialogs.h

=== debian/changelog ===
qps (1.9.3-3.1) unstable frozen; urgency=low

  * NMU.
  * Added qt2.waiver, a notice from the author allowing qps to be
    linked against qt2.

 -- Hanno Wagner <wagner@debian.org>  Sun, 13 Feb 2000 13:28:34 -0500

qps (1.9.3-3) unstable; urgency=low

  * recompiled with libqt2

 -- Hanno Wagner <wagner@debian.org>  Sun, 12 Dec 1999 20:16:02 +0100

qps (1.9.3-2) unstable; urgency=low

  * NMU fixed.
  
 -- Hanno Wagner <wagner@debian.org>  Fri, 12 Nov 1999 21:28:06 +0100

qps (1.9.3-1) unstable; urgency=low

  * New upstream release

 -- Hanno Wagner <wagner@debian.org>  Tue,  9 Nov 1999 20:37:33 +0100

qps (1.4.4-1) unstable; urgency=low

  * New upstream release

 -- Hanno Wagner <wagner@debian.org>  Fri,  9 Oct 1998 09:28:27 +0200

qps (1.4.3-2) unstable; urgency=low

  * Added menu support (System)

 -- Hanno Wagner <wagner@debian.org>  Tue, 23 Jun 1998 12:36:52 +0200

qps (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Hanno Wagner <wagner@debian.org>  Fri, 19 Jun 1998 13:48:13 +0200

qps (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Hanno Wagner <wagner@linux.de>  Fri, 15 May 1998 11:46:28 +0200

qps (1.4-1) unstable; urgency=low

  * New upstream release
  
 -- Hanno Wagner <wagner@linux.de>  Tue, 12 May 1998 18:11:47 +0200

qps (1.3.4-1) unstable; urgency=low

  * New upstream release

 -- Hanno Wagner <wagner@linux.de>  Sat, 21 Mar 1998 08:37:28 +0100

qps (1.3-2) unstable; urgency=low

  * fixed Bug #16635 (linked with libc5 still,statically linked with Qt)
  * fixed Bug #13410 (qps-1.2 avaibalbe)
  * fixed Bug #13629
  * fixed Bug #16332
  * fixed Bug #17987
  * should be now in contrib

 -- Hanno Wagner <wagner@linux.de>  Wed, 11 Mar 1998 06:17:55 +0100

qps (1.3-1) stable; urgency=low

  * New upstream release

 -- Hanno Wagner <wagner@linux.de>  Thu, 26 Feb 1998 05:32:57 +0100

qps (1.1-1) stable; urgency=low

  * fixed zero division bug when there is no swa
  * corrected inclusion of "running" processes (only R, W, D included)
  * don't change the sorting order if the sorting field is removed from the view
  * added %WCPU field (cpu percentage averaged over 30 s)
  * added PLCY and RPRI fields for Posix.1b realtime scheduling
  * dialog to change scheduling and/or realtime priority (Posix.1b)
  * option to toggle the auto-saving of settings, and explicitly save them
  * various cosmetic changes
  * WCHAN is displayed in symbolic form (reading symbols from System.map)
  * fixed RSS and SWAP to use resident rather than rss
  * made the CrossBox less deep and more visually obvious
  * fixed display of TIME to change format at long runtimes
  * added Socket Info option and socket info window
  * added some keyboard accelerators
  * status bar rearrangement/facelift
  * added load graph
  * added icon (with load graph if needed). Use qembed to build default icon
  * removed the legend window, added tooltips for headings instead
  * removed close button in modeless dialogs, then put it back again (hard work)

 -- Hanno Wagner <wagner@linux.de>  Mon, 16 Jun 1997 10:08:49 +0200

qps (1.0-2) stable; urgency=low

  * Bugfixes before publishing

 -- Hanno Wagner <wagner@linux.de>  Thu, 17 Apr 1997 17:25:26 +0100

qps (1.0-1) stable; urgency=low

  * Initial Release.

 -- Hanno Wagner <wagner@linux.de>  Thu, 17 Apr 1997 10:33:00 +0100

Changes from version 0.1 to 1.0:

* Field selection dialog
* Menu option to hide the command path in CMDLINE, reducing clutter
* Menu option to hide the status bar
* Extended status bar (uptime, cpu graph)
* Renice is now always absolute (for simplicity); no "=" is needed.
* Some fields added (flags, wchan, start)
* Geometry and other settings are read from $(HOME)/.qps-settings,
  and saved when closed

=== debian/control ===
Source: qps
Section: contrib
Priority: optional
Maintainer: Hanno Wagner <wagner@linux.de>
Standards-Version: 2.3.0.1

Package: qps
Architecture: any
Depends: ${shlibs:Depends}
Description: Qt based process status monitor
 qps is an X11/Qt version of top or ps.
 qps is for Linux only, since there is no good standard
 way of getting process status information.  It uses the
 /proc file system and need not to be run as root.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Modified for qps by Rince.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

QTDIR=/usr/lib/qt2

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) QTDIR=${QTDIR}
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	-$(MAKE) QTDIR=${QTDIR} -i clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/bin usr/man/man1
	$(MAKE) QTDIR=${QTDIR}
	cp qps debian/tmp/usr/bin/
	dh_installdocs CHANGES README debian/qt2.waiver
	dh_installchangelogs
	dh_installmanpages
	dh_strip
	dh_compress
	dh_installdeb
	dh_fixperms
	dh_shlibdeps qps
	dh_gencontrol	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## qps 1.9.7.0

=== Makefile ===
--- 
+++ 
@@ -4,14 +4,12 @@
 # First, make sure INCLUDES and LDPATHS lines contain paths to the include
 # and library directories for Qt.
 #
-QTDIR=/usr/local/qt
 INCLUDES=-I$(QTDIR)/include
 LDPATHS=-L$(QTDIR)/lib
 
 #
 # Then, uncomment the right LIBS line for your architecture below:
 #
-
 # Linux: (You may have to add -lX11, in case your linker complains)
 LIBS=-lqt -lm
 
@@ -29,8 +27,16 @@
 #
 CXX=g++
 
+#
+# If you want MOSIX support (a cluster system for Linux), uncomment this
+# line. Qps runs on MOSIX systems without it, but this gives it added
+# functionality. See http://www.mosix.cs.huji.ac.il/ for more info.
+#
+#MOSIX=-DMOSIX
+
 # You may need -fno-rtti in CXXFLAGS to compile with recent gcc/egcs versions.
-CXXFLAGS=-g -O2 -Wall -W -Wconversion -pipe $(INCLUDES)
+CXXFLAGS= -g $(MOSIX) -O2 -Wall -W -Wconversion $(INCLUDES) 
+
 LDFLAGS=-g $(LDPATHS) $(LIBS)

## qps 1.9.18.6

=== Makefile ===
#############################################################################
# Makefile for building: qps
# Generated by qmake (1.07a) (Qt 3.3.6) on: Sun Sep 10 23:02:00 2006
# Project:  qps.pro
# Template: app
# Command: $(QMAKE) -after  "CONFIG ~= s/warn_off/warn_on" "QMAKE_CXXFLAGS_RELEASE = -g -O2" "QMAKE_POST_LINK ~= s/strip/:" -o Makefile qps.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
CXXFLAGS = -pipe -Wall -W -g -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/qt3 -I.ui/ -I.moc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = qps.h \
		pstable.h \
		dialogs.h \
		fieldsel.h \
		scheddlg.h \
		prefs.h \
		infobar.h \
		htable.h \
		lookup.h \
		details.h \
		command.h \
		qttableview.h \
		trayicon.h \
		misc.h
SOURCES = qps.cpp \
		pstable.cpp \
		proc.cpp \
		uidstr.cpp \
		ttystr.cpp \
		dialogs.cpp \
		infobar.cpp \
		fieldsel.cpp \
		scheddlg.cpp \
		wchan.cpp \
		prefs.cpp \
		htable.cpp \
		lookup.cpp \
		details.cpp \
		command.cpp \
		qttableview.cpp \
		trayicon.cpp \
		misc.cpp
OBJECTS = .obj/qps.o \
		.obj/pstable.o \
		.obj/proc.o \
		.obj/uidstr.o \
		.obj/ttystr.o \
		.obj/dialogs.o \
		.obj/infobar.o \
		.obj/fieldsel.o \
		.obj/scheddlg.o \
		.obj/wchan.o \
		.obj/prefs.o \
		.obj/htable.o \
		.obj/lookup.o \
		.obj/details.o \
		.obj/command.o \
		.obj/qttableview.o \
		.obj/trayicon.o \
		.obj/misc.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = .moc/moc_qps.cpp \
		.moc/moc_pstable.cpp \
		.moc/moc_dialogs.cpp \
		.moc/moc_fieldsel.cpp \
		.moc/moc_scheddlg.cpp \
		.moc/moc_prefs.cpp \
		.moc/moc_infobar.cpp \
		.moc/moc_htable.cpp \
		.moc/moc_lookup.cpp \
		.moc/moc_details.cpp \
		.moc/moc_command.cpp \
		.moc/moc_qttableview.cpp \
		.moc/moc_trayicon.cpp \
		.moc/moc_misc.cpp
OBJMOC = .obj/moc_qps.o \
		.obj/moc_pstable.o \
		.obj/moc_dialogs.o \
		.obj/moc_fieldsel.o \
		.obj/moc_scheddlg.o \
		.obj/moc_prefs.o \
		.obj/moc_infobar.o \
		.obj/moc_htable.o \
		.obj/moc_lookup.o \
		.obj/moc_details.o \
		.obj/moc_command.o \
		.obj/moc_qttableview.o \
		.obj/moc_trayicon.o \
		.obj/moc_misc.o
DIST	   = qps.pro
QMAKE_TARGET = qps
DESTDIR  = 
TARGET   = qps

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: qps.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) -after  "CONFIG ~= s/warn_off/warn_on" "QMAKE_CXXFLAGS_RELEASE = -g -O2" "QMAKE_POST_LINK ~= s/strip/:" -o Makefile qps.pro
qmake: 
	@$(QMAKE) -after  "CONFIG ~= s/warn_off/warn_on" "QMAKE_CXXFLAGS_RELEASE = -g -O2" "QMAKE_POST_LINK ~= s/strip/:" -o Makefile qps.pro

dist: 
	@mkdir -p .obj/qps && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/qps/ && ( cd `dirname .obj/qps` && $(TAR) qps.tar qps && $(GZIP) qps.tar ) && $(MOVE) `dirname .obj/qps`/qps.tar.gz . && $(DEL_FILE) -r .obj/qps

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/qps.o: qps.cpp icon/icon.xpm \
		qps.h \
		dialogs.h \
		scheddlg.h \
		lookup.h \
		svec.cpp \
		trayicon.h \
		misc.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qps.o qps.cpp

.obj/pstable.o: pstable.cpp pstable.h \
		proc.h \
		global.h \
		svec.cpp \
		htable.h \
		qttableview.h \
		svec.h \
		config.h \
		qps.h \
		misc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/pstable.o pstable.cpp

.obj/proc.o: proc.cpp qps.h \
		proc.h \
		svec.cpp \
		uidstr.h \
		ttystr.h \
		wchan.h \
		details.h \
		misc.h \
		proc_common.cpp \
		svec.h \
		pstable.h \
		infobar.h \
		fieldsel.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h \
		global.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/proc.o proc.cpp

.obj/uidstr.o: uidstr.cpp uidstr.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/uidstr.o uidstr.cpp

.obj/ttystr.o: ttystr.cpp ttystr.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/ttystr.o ttystr.cpp

.obj/dialogs.o: dialogs.cpp dialogs.h \
		qps.h \
		misc.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/dialogs.o dialogs.cpp

.obj/infobar.o: infobar.cpp global.h \
		infobar.h \
		proc.h \
		qps.h \
		misc.h \
		svec.h \
		pstable.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/infobar.o infobar.cpp

.obj/fieldsel.o: fieldsel.cpp fieldsel.h \
		proc.h \
		config.h \
		svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/fieldsel.o fieldsel.cpp

.obj/scheddlg.o: scheddlg.cpp scheddlg.h \
		dialogs.h \
		misc.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/scheddlg.o scheddlg.cpp

.obj/wchan.o: wchan.cpp config.h \
		wchan.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/wchan.o wchan.cpp

.obj/prefs.o: prefs.cpp prefs.h \
		qps.h \
		global.h \
		misc.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/prefs.o prefs.cpp

.obj/htable.o: htable.cpp htable.h \
		svec.cpp \
		qps.h \
		global.h \
		misc.h \
		qttableview.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/htable.o htable.cpp

.obj/lookup.o: lookup.cpp lookup.h \
		svec.cpp \
		svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/lookup.o lookup.cpp

.obj/details.o: details.cpp details.h \
		qps.h \
		svec.cpp \
		config.h \
		htable.h \
		proc.h \
		lookup.h \
		qttableview.h \
		svec.h \
		misc.h \
		pstable.h \
		infobar.h \
		fieldsel.h \
		prefs.h \
		command.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/details.o details.cpp

.obj/command.o: command.cpp command.h \
		qps.h \
		proc.h \
		uidstr.h \
		svec.cpp \
		dialogs.h \
		global.h \
		misc.h \
		config.h \
		svec.h \
		pstable.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		htable.h \
		qttableview.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/command.o command.cpp

.obj/qttableview.o: qttableview.cpp qttableview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qttableview.o qttableview.cpp

.obj/trayicon.o: trayicon.cpp trayicon.h \
		global.h \
		qps.h \
		misc.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/trayicon.o trayicon.cpp

.obj/misc.o: misc.cpp misc.h \
		global.h \
		icon/x1.xpm \
		icon/x2.xpm \
		icon/letters.xpm \
		qps.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/misc.o misc.cpp

.obj/moc_qps.o: .moc/moc_qps.cpp  qps.h misc.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_qps.o .moc/moc_qps.cpp

.obj/moc_pstable.o: .moc/moc_pstable.cpp  pstable.h htable.h \
		proc.h \
		qttableview.h \
		svec.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_pstable.o .moc/moc_pstable.cpp

.obj/moc_dialogs.o: .moc/moc_dialogs.cpp  dialogs.h misc.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_dialogs.o .moc/moc_dialogs.cpp

.obj/moc_fieldsel.o: .moc/moc_fieldsel.cpp  fieldsel.h proc.h \
		config.h \
		svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_fieldsel.o .moc/moc_fieldsel.cpp

.obj/moc_scheddlg.o: .moc/moc_scheddlg.cpp  scheddlg.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_scheddlg.o .moc/moc_scheddlg.cpp

.obj/moc_prefs.o: .moc/moc_prefs.cpp  prefs.h misc.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_prefs.o .moc/moc_prefs.cpp

.obj/moc_infobar.o: .moc/moc_infobar.cpp  infobar.h misc.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_infobar.o .moc/moc_infobar.cpp

.obj/moc_htable.o: .moc/moc_htable.cpp  htable.h qttableview.h \
		svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_htable.o .moc/moc_htable.cpp

.obj/moc_lookup.o: .moc/moc_lookup.cpp  lookup.h svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_lookup.o .moc/moc_lookup.cpp

.obj/moc_details.o: .moc/moc_details.cpp  details.h config.h \
		htable.h \
		proc.h \
		lookup.h \
		qttableview.h \
		svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_details.o .moc/moc_details.cpp

.obj/moc_command.o: .moc/moc_command.cpp  command.h proc.h \
		misc.h \
		config.h \
		svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_command.o .moc/moc_command.cpp

.obj/moc_qttableview.o: .moc/moc_qttableview.cpp  qttableview.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_qttableview.o .moc/moc_qttableview.cpp

.obj/moc_trayicon.o: .moc/moc_trayicon.cpp  trayicon.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_trayicon.o .moc/moc_trayicon.cpp

.obj/moc_misc.o: .moc/moc_misc.cpp  misc.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_misc.o .moc/moc_misc.cpp

.moc/moc_qps.cpp: $(MOC) qps.h
	$(MOC) qps.h -o .moc/moc_qps.cpp

.moc/moc_pstable.cpp: $(MOC) pstable.h
	$(MOC) pstable.h -o .moc/moc_pstable.cpp

.moc/moc_dialogs.cpp: $(MOC) dialogs.h
	$(MOC) dialogs.h -o .moc/moc_dialogs.cpp

.moc/moc_fieldsel.cpp: $(MOC) fieldsel.h
	$(MOC) fieldsel.h -o .moc/moc_fieldsel.cpp

.moc/moc_scheddlg.cpp: $(MOC) scheddlg.h
	$(MOC) scheddlg.h -o .moc/moc_scheddlg.cpp

.moc/moc_prefs.cpp: $(MOC) prefs.h
	$(MOC) prefs.h -o .moc/moc_prefs.cpp

.moc/moc_infobar.cpp: $(MOC) infobar.h
	$(MOC) infobar.h -o .moc/moc_infobar.cpp

.moc/moc_htable.cpp: $(MOC) htable.h
	$(MOC) htable.h -o .moc/moc_htable.cpp

.moc/moc_lookup.cpp: $(MOC) lookup.h
	$(MOC) lookup.h -o .moc/moc_lookup.cpp

.moc/moc_details.cpp: $(MOC) details.h
	$(MOC) details.h -o .moc/moc_details.cpp

.moc/moc_command.cpp: $(MOC) command.h
	$(MOC) command.h -o .moc/moc_command.cpp

.moc/moc_qttableview.cpp: $(MOC) qttableview.h
	$(MOC) qttableview.h -o .moc/moc_qttableview.cpp

.moc/moc_trayicon.cpp: $(MOC) trayicon.h
	$(MOC) trayicon.h -o .moc/moc_trayicon.cpp

## qps 1.10.16+20151210

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(qps)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

# additional cmake files
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

set(MAJOR_VERSION 1)
set(MINOR_VERSION 10)
set(PATCH_VERSION 16)
set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
add_definitions(-DQPS_VERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")

# C++11 support
include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
    message(FATAL "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. C++11 support is required")
endif()

find_package(Qt5 REQUIRED COMPONENTS Widgets X11Extras DBus LinguistTools)

include(GNUInstallDirs)
include(LXQtTranslateTs) # Altough the name it doesn't depend on LXQt in any way
include(LXQtTranslateDesktop)
include(Qt5TranslationLoader)

# Must be defined after including GNUInstallDirs. Move with care.
set(QPS_TRANSLATIONS_DIR
    "${CMAKE_INSTALL_FULL_DATAROOTDIR}/${PROJECT_NAME}/translations"
)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

add_subdirectory(src)

# install the man page
install(FILES qps.1 DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/man/man1")

# install the app icon
install(FILES
    icon/qps.png
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps"
)

# building tarball with CPack
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== debian/changelog ===
qps (1.10.16+20151210-1) unstable; urgency=medium

  * Cherry-picking upstream version 1.10.16+20151210.
  * Removed dbg package in favor of dbgsym.
  * Removed unused files and licenses from copyright.
  * Installed manpage.

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 03:37:11 +0100

qps (1.10.16+20150823-1) unstable; urgency=medium

  * Initial Release (Closes: #795697)

 -- Alf Gaida <agaida@siduction.org>  Sun, 06 Sep 2015 02:17:51 +0200

=== debian/control ===
Source: qps
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: cmake (>= 3.0.2),
               debhelper (>= 9),
               libxrender-dev,
               libqt5x11extras5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/qps.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/qps.git -b debian/sid
Homepage: https://github.com/qtdesktop/qps

Package: qps
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Qt process manager
 Qt process manager ported to Qt5

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem=cmake \
		--parallel

## qps 1.10.16-29

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
 find_package(Qt5 REQUIRED COMPONENTS Widgets X11Extras DBus LinguistTools)
 
 include(GNUInstallDirs)
-include(LXQtTranslateTs) # Altough the name it doesn't depend on LXQt in any way
+include(LXQtTranslateTs) # Although the name it doesn't depend on LXQt in any way
 include(LXQtTranslateDesktop)
 include(Qt5TranslationLoader)
 
@@ -57,7 +57,7 @@
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps"
 )
 
-# building tarball with CPack
+# building tar-ball with CPack
 include(InstallRequiredSystemLibraries)
 set(CPACK_PACKAGE_VERSION_MAJOR ${MAJOR_VERSION})
 set(CPACK_PACKAGE_VERSION_MINOR ${MINOR_VERSION})

=== src/CMakeLists.txt ===

set(SOURCES	
 	proc.cpp 
    qpsapp.cpp
	qps.cpp
    screenshot.cpp
	pstable.cpp 
	uidstr.cpp 
	ttystr.cpp 
	dialogs.cpp 
	infobar.cpp 
	fieldsel.cpp 
	wchan.cpp 
	prefs.cpp 
	lookup.cpp 
	details.cpp 
	command.cpp 
    commandutils.cpp
    commandmodel.cpp
    commanddialog.cpp
    checkboxdelegate.cpp
    execwindow.cpp
    watchcond.cpp
    listmodel.cpp
    watchdogdialog.cpp
	misc.cpp 
	trayicon.cpp 
	htable.cpp
#	htable2.cpp
#	pstable2.cpp
	qttableview.cpp 
)

SET(HEADERS	
    qpsapp.h
	qps.h 
	screenshot.h
	pstable.h 
	dialogs.h 
	fieldsel.h 
	prefs.h 
	infobar.h 
	lookup.h 
	details.h 
    tablefield.h
	command.h 
    commandutils.h
    commandmodel.h
    commanddialog.h
    checkboxdelegate.h
    execwindow.h
    watchcond.h
    listmodel.h
    watchdogdialog.h
	misc.h  
	trayicon.h 
	htable.h 
#	htable2.h
#	pstable2.h
	qttableview.h 
)

set(UIS
    watchdog.ui
    message.ui
)

set(RESOURCES "../qps.qrc")
#-----------------------------------------------------------------------------
# Translations
#-----------------------------------------------------------------------------
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES ${SOURCES} ${HEADERS} ${UIS}
    INSTALL_DIR "${QPS_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

qt5_translation_loader(
    QM_LOADER
    "${QPS_TRANSLATIONS_DIR}"
    ${PROJECT_NAME}
)

lxqt_translate_desktop(DESKTOP_FILES
    SOURCES "${CMAKE_SOURCE_DIR}/qps.desktop.in"
)
#-----------------------------------------------------------------------------
# End of translations
#-----------------------------------------------------------------------------


add_executable(${PROJECT_NAME}
    ${SOURCES}
    ${HEADERS}
    ${UIS}
    ${QM_FILES}
    ${QM_LOADER}
    ${DESKTOP_FILES}
    ${RESOURCES}
)

target_link_libraries(${PROJECT_NAME}
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::DBus
)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
)

## qps 1.10.16-29-g7e679db

=== debian/changelog ===
qps (1.10.16-29-g7e679db-1) unstable; urgency=medium

  * Cherry-picking upstream version 1.10.16-29-g7e679db.
  * Removed patches, applied upstream
  * Fixed VCS fields, using plain /git/
  * Fixed copyrights Format field, using https
  * Exported LC_ALL=C.UTF-8 to prevent problems with reproducible builds
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Fri, 22 Jul 2016 18:47:51 +0200

qps (1.10.16+20151210-3) unstable; urgency=medium

  * Fixed Architecture - qps supports in the current state only
    linux and solaris kernels#
  * Bump Standards to 3.9.8, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 09 Jul 2016 11:28:10 +0200

qps (1.10.16+20151210-2) unstable; urgency=medium

  * Bump Standards to 3.9.7
  * Secured VCS-Fields
  * Fix years in copyright
  * Add hardening=+all
  * Fix new grep behaviour in LXQtTranslateDesktop.cmake 

 -- Alf Gaida <agaida@siduction.org>  Thu, 25 Feb 2016 23:37:08 +0100

=== debian/control ===
Source: qps
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libxrender-dev,
               libqt5x11extras5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qps.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qps.git -b debian/sid
Homepage: https://github.com/qtdesktop/qps

Package: qps
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Qt process manager
 Qt process manager ported to Qt5

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake\
		--parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Debug

## qps 1.10.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 set(MAJOR_VERSION 1)
 set(MINOR_VERSION 10)
-set(PATCH_VERSION 16)
+set(PATCH_VERSION 17)
 set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 add_definitions(-DQPS_VERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
@@ -56,13 +56,3 @@
     icon/qps.png
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps"
 )
-
-# building tar-ball with CPack
-include(InstallRequiredSystemLibraries)
-set(CPACK_PACKAGE_VERSION_MAJOR ${MAJOR_VERSION})
-set(CPACK_PACKAGE_VERSION_MINOR ${MINOR_VERSION})
-set(CPACK_PACKAGE_VERSION_PATCH ${PATCH_VERSION})
-set(CPACK_GENERATOR TBZ2)
-set(CPACK_SOURCE_GENERATOR TBZ2)
-set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
-include(CPack)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,19 @@
-
-set(SOURCES	
- 	proc.cpp 
+set(SOURCES
+    proc.cpp
     qpsapp.cpp
-	qps.cpp
+    qps.cpp
     screenshot.cpp
-	pstable.cpp 
-	uidstr.cpp 
-	ttystr.cpp 
-	dialogs.cpp 
-	infobar.cpp 
-	fieldsel.cpp 
-	wchan.cpp 
-	prefs.cpp 
-	lookup.cpp 
-	details.cpp 
-	command.cpp 
+    pstable.cpp
+    uidstr.cpp
+    ttystr.cpp
+    dialogs.cpp
+    infobar.cpp
+    fieldsel.cpp
+    wchan.cpp
+    prefs.cpp
+    lookup.cpp
+    details.cpp
+    command.cpp
     commandutils.cpp
     commandmodel.cpp
     commanddialog.cpp
@@ -23,27 +22,27 @@
     watchcond.cpp
     listmodel.cpp
     watchdogdialog.cpp
-	misc.cpp 
-	trayicon.cpp 
-	htable.cpp
-#	htable2.cpp
-#	pstable2.cpp
-	qttableview.cpp 
+    misc.cpp
+    trayicon.cpp
+    htable.cpp
+  # htable2.cpp
+  # pstable2.cpp
+    qttableview.cpp
 )
 
-SET(HEADERS	
+SET(HEADERS
     qpsapp.h
-	qps.h 
-	screenshot.h
-	pstable.h 
-	dialogs.h 
-	fieldsel.h 
-	prefs.h 
-	infobar.h 
-	lookup.h 
-	details.h 
+    qps.h
+    screenshot.h
+    pstable.h
+    dialogs.h
+    fieldsel.h
+    prefs.h
+    infobar.h
+    lookup.h
+    details.h
     tablefield.h
-	command.h 
+    command.h
     commandutils.h
     commandmodel.h
     commanddialog.h
@@ -52,12 +51,12 @@
     watchcond.h
     listmodel.h
     watchdogdialog.h
-	misc.h  
-	trayicon.h 
-	htable.h 
-#	htable2.h
-#	pstable2.h
-	qttableview.h 
+    misc.h
+    trayicon.h
+    htable.h
+  # htable2.h
+  # pstable2.h
+    qttableview.h
 )
 
 set(UIS

=== debian/changelog ===
qps (1.10.17-2) unstable; urgency=medium

  * Bumped Standards to 4.1.2
  * Removed branch from VCS fields
  * Removed debian/gbp.conf 

 -- Alf Gaida <agaida@siduction.org>  Fri, 15 Dec 2017 17:08:38 +0100

qps (1.10.17-1) unstable; urgency=medium

  * Cherry-picking upstream-version 1.10.17.
  * Bumped Standards to 4.1.0 - no changes needed
  * Changed CMAKE_BUILD_TYPE to RelWithDebInfo
  * Bumped dephelper to >= 10 and compat to 10 - removed --parallel from rules

 -- Alf Gaida <agaida@siduction.org>  Fri, 22 Sep 2017 00:41:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake (>= 3.0.2),
                libxrender-dev,
                libqt5x11extras5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qps.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qps.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qps.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qps.git
 Homepage: https://github.com/qtdesktop/qps
 
 Package: qps

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,9 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh ${@} --buildsystem cmake\
-		--parallel
+	dh ${@} --buildsystem cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DCMAKE_BUILD_TYPE=Debug
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo
+

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/QtDesktop/qps/releases .*/qps-([\d\.]+).tar.xz

## qps 1.10.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,9 +12,12 @@
 
 set(MAJOR_VERSION 1)
 set(MINOR_VERSION 10)
-set(PATCH_VERSION 17)
+set(PATCH_VERSION 18)
 set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
-add_definitions(-DQPS_VERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
+add_definitions(
+    -DQPS_VERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}"
+    -DQT_NO_FOREACH
+)
 
 # C++11 support
 include(CheckCXXCompilerFlag)
@@ -28,7 +31,7 @@
     message(FATAL "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. C++11 support is required")
 endif()
 
-find_package(Qt5 REQUIRED COMPONENTS Widgets X11Extras DBus LinguistTools)
+find_package(Qt5 5.7.1 REQUIRED COMPONENTS Widgets X11Extras DBus LinguistTools)
 
 include(GNUInstallDirs)
 include(LXQtTranslateTs) # Although the name it doesn't depend on LXQt in any way

=== debian/changelog ===
qps (1.10.18-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 16:29:52 -0700

qps (1.10.18-1) unstable; urgency=medium

  * Cherry-picking upstream-version 1.10.18.

 -- Alf Gaida <agaida@siduction.org>  Mon, 21 May 2018 18:51:56 +0200

qps (1.10.17-3) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Removed not needed cmake minimum version
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped year in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 19:04:42 +0200

=== debian/control ===
Source: qps
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               libxrender-dev,
               libqt5x11extras5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
Vcs-Git: https://salsa.debian.org/lxqt-team/qps.git
Homepage: https://github.com/lxqt/qps

Package: qps
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Qt process manager
 Qt process manager ported to Qt5

## qps 1.10.20

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
Project(qps)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

set(MAJOR_VERSION 1)
set(MINOR_VERSION 10)
set(PATCH_VERSION 20)
set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
add_definitions(
    -DQPS_VERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}"
)

# Minimum Versions
set(LXQTBT_MINIMUM_VERSION "0.6.0")
set(QT_MINIMUM_VERSION "5.7.1")
find_package(Qt5 ${QT_MINIMUM_VERSION} REQUIRED COMPONENTS Widgets X11Extras DBus LinguistTools)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

include(GNUInstallDirs)
include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings)
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)
include(Qt5TranslationLoader)

# Must be defined after including GNUInstallDirs. Move with care.
set(QPS_TRANSLATIONS_DIR
    "${CMAKE_INSTALL_FULL_DATAROOTDIR}/${PROJECT_NAME}/translations"
)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

add_subdirectory(src)

# install the man page
install(FILES qps.1 DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/man/man1")

# install the app icon
install(FILES
    icon/qps.png
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps"
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -71,7 +71,7 @@
 lxqt_translate_ts(QM_FILES
     UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
     SOURCES ${SOURCES} ${HEADERS} ${UIS}
-    INSTALL_DIR "${QPS_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    INSTALL_DIR "${QPS_TRANSLATIONS_DIR}"
 )
 
 qt5_translation_loader(

=== debian/changelog ===
qps (1.10.20-1ubuntu1) disco; urgency=medium

  * Lubuntuify the package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 12:16:07 -0600

qps (1.10.20-1) unstable; urgency=medium

  * Cherry-picking upstream-version 1.10.20.

 -- Alf Gaida <agaida@siduction.org>  Mon, 25 Feb 2019 23:41:57 +0100

qps (1.10.19-1) unstable; urgency=medium

  * Cherry-picking upstream-version 1.10.19.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Removed some deprecated files from d/copyright
  * Added build dependency lxqt-build-tools (>= 0.6.0~)
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 14:05:17 +0100

=== debian/control ===
Source: qps
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 12),
               libqt5x11extras5-dev,
               libxrender-dev,
               lxqt-build-tools (>= 0.6.0~),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/qps/
Vcs-Git: https://phab.lubuntu.me/source/qps.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/qps.git
Homepage: https://github.com/lxqt/qps

Package: qps
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt process manager
 Qt process manager ported to Qt5

## qps 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
-set(MAJOR_VERSION 1)
-set(MINOR_VERSION 10)
-set(PATCH_VERSION 20)
+set(MAJOR_VERSION 2)
+set(MINOR_VERSION 0)
+set(PATCH_VERSION 0)
 set(QPS_VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 add_definitions(
     -DQPS_VERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}"
@@ -24,10 +24,18 @@
 
 include(GNUInstallDirs)
 include(LXQtPreventInSourceBuilds)
-include(LXQtCompilerSettings)
+include(LXQtCompilerSettings NO_POLICY_SCOPE)
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
 include(Qt5TranslationLoader)
+
+# LXQtCompilerSettings adds them but qps still uses implicit string casts
+remove_definitions(
+    -DQT_NO_CAST_FROM_ASCII
+    -DQT_NO_CAST_TO_ASCII
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_FROM_BYTEARRAY
+)
 
 # Must be defined after including GNUInstallDirs. Move with care.
 set(QPS_TRANSLATIONS_DIR

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,6 @@
     misc.cpp
     trayicon.cpp
     htable.cpp
-  # htable2.cpp
-  # pstable2.cpp
     qttableview.cpp
 )
 
@@ -54,8 +52,6 @@
     misc.h
     trayicon.h
     htable.h
-  # htable2.h
-  # pstable2.h
     qttableview.h
 )

=== debian/changelog ===
qps (2.0.0-1ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:31 +0100

qps (2.0.0-1ubuntu1) focal; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Lubuntuify the package.

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2020 18:06:16 +0000

qps (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Switched to gbp
  * Bumped Standards-Version to 4.4.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Tue, 08 Oct 2019 20:56:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Section: x11
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 12),
+               cmake,
+               libxrender-dev,
                libqt5x11extras5-dev,
-               libxrender-dev,
                lxqt-build-tools (>= 0.6.0~),
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://phab.lubuntu.me/source/qps/
 Vcs-Git: https://phab.lubuntu.me/source/qps.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/qps
@@ -20,6 +20,7 @@
 
 Package: qps
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: Qt process manager
  Qt process manager ported to Qt5
